#pragma once
#include "PolygonGroup.h"
#include "thing.h"

class Vertex;
class Texture;

//an abstract box, not meant to be instantiated
//it is an axis aligned, textured, rectangular box

class Box : public PolygonGroup
{
public:
	virtual ~Box(void);

	//render the image
	virtual void render(void);

protected:
	//should only be called by sub classes
	Box(Vertex &p1, Vertex &p2, char *tex);
	//texture for the box
	Texture *texture;
};
