#pragma once

//abstraction of a camera in a scene

class Camera
{
public:
	Camera(void);
	virtual ~Camera(void);
	void init(void);
	//do the opengl stuff for a camera (there is nothing actually rendered)
	void render(void);

	//rotate around the y-axis
	void rotate(float degs);
	void setPosition(float x, float y, float z) { positionX = x; positionY = y; positionZ = z; }
	void translate(float x, float y, float z) { positionX += x; positionY += y; positionZ += z; }

private:
	//position and degrees rotationaround the y-axis
	float rotation;
	float positionX, positionY, positionZ;
};
